Subject: Re: bug#60510: 30.0.50; [PATCH] Do not put pointer on first menu item in no-toolkit build

From: Manuel Giraud <[email-masked]>
Date: Tue, 03 Jan 2023 14:09:26 +0100

Eli Zaretskii <[email-masked]> writes:

[...]

> This is age-old behavior, common also with TTY menus.  We should at
> least change all of them.  And frankly, I'm not sure we should change
> it, after so many years.  Someone might depend on this behavior.

Yes, as this is part of oldXMenu, I suspected that.

So more generally, I kind of like the no toolkit backend but I want to
be able to modify it (my pipe dream being able to use emacs face
machinery to write to those menus).  What would be my best bet here?
Rewrite a plain X11 backend from scratch?

Best regards,
-- 
Manuel Giraud